function [input1] = Correct_Names(input_a,IfCountry);

% Make sure names work for different data sets
if IfCountry == 0
    if (input_a == 1)
        input1.FoodBalances = 'Wheat and products';
        input1.WaterFootprintCrop = 'Wheat';
        input1.num = 1;
        
    elseif (input_a == 2)
        input1.FoodBalances = 'Barley and products';
        input1.WaterFootprintCrop = 'Barley';
        input1.num = 2;
        
    elseif (input_a == 3)
        input1.FoodBalances = 'Rice (Milled Equivalent)';
        input1.WaterFootprintCrop = 'Rice, paddy';
        input1.num = 3;
        
    elseif (input_a == 4)
        input1.FoodBalances = 'Maize and products';
        input1.WaterFootprintCrop = 'Maize';
        input1.num = 4;
        
    elseif (input_a == 5)
        input1.FoodBalances = 'Potatoes and products';
        input1.WaterFootprintCrop = 'Potatoes';
        input1.num = 5;
        
    elseif (input_a == 6)
        input1.FoodBalances = 'Sweet potatoes';
        input1.WaterFootprintCrop = 'Sweet potatoes';
        input1.num = 6;
        
    elseif (input_a == 7)
        input1.FoodBalances = 'Sugar cane';
        input1.WaterFootprintCrop = 'Sugar';
        input1.num = 7;
        
    elseif (input_a == 8)
        input1.FoodBalances = 'Soyabeans';
        input1.WaterFootprintCrop = 'Soybeans';
        input1.num = 8;
        
    elseif (input_a == 9)
        input1.FoodBalances = 'Tomatoes and products';
        input1.WaterFootprintCrop = 'Tomatoes';
        input1.num = 9;
        
    elseif (input_a == 10)
        input1.FoodBalances = 'Onions';
        input1.WaterFootprintCrop = 'Onions';
        input1.num = 10;
        
    elseif (input_a == 11)
        input1.FoodBalances = 'Vegetables';
        input1.WaterFootprintCrop = 'Vegetables';
        input1.num = 11;
        
    elseif (input_a == 12)
        input1.FoodBalances = 'Bananas';
        input1.WaterFootprintCrop = 'Bananas';
        input1.num = 12;
        
    elseif (input_a == 13)
        input1.FoodBalances = 'Oranges, Mandarines';
        input1.WaterFootprintCrop = 'Oranges';
        input1.num = 13;
        
    elseif (input_a == 14)
        input1.FoodBalances = 'Apples and products';
        input1.WaterFootprintCrop = 'Apples';
        input1.num = 14;
        
    elseif (input_a == 15)
        input1.FoodBalances = 'Bovine Meat';
        input1.WaterFootprintMeat = 'Bovine meat,fh,ch,w.bone';
        input1.num = 15;
        
    elseif (input_a == 16)
        input1.FoodBalances = 'Poultry Meat';
        input1.WaterFootprintMeat = 'Poultry, live,over 185g';
        input1.num = 16;
        
    elseif (input_a == 17)
        input1.FoodBalances = 'Mutton & Goat Meat';
        input1.WaterFootprintMeat = 'Meat of sheep,frsh,chlld';
        input1.num = 17;
        
    elseif (input_a == 18)
        input1.FoodBalances = 'Mutton & Goat Meat';
        input1.WaterFootprintMeat = 'Meat of goats';
        input1.num = 18;
        
    elseif (input_a == 19)
        input1.FoodBalances = 'Pigmeat';
        input1.WaterFootprintMeat = 'Meat of swine,frsh,chlld';
        input1.num = 19;
        
    elseif (input_a == 20)
        input1.FoodBalances = 'Eggs';
        input1.WaterFootprintMeat = 'Birds'' eggs, in shell';
        input1.num = 20;
        
    elseif (input_a == 21)
        input1.FoodBalances = 'Milk - Excluding Butter';
        input1.WaterFootprintMeat = 'Milk,cream fat cont.1-6%';
        input1.num = 21;
    end
    
elseif IfCountry == 1,
    % First assign three cells to Country
    input1.Country{1} = input_a; input1.Country{2} = []; input1.Country{3} = []; input1.Country{4} = [];
    
    if strcmp(input_a,'Azerbaijan')
        input1.Country{1} = 'Azerbaijan'; input1.Country{2} = 'Azerbaijan, Republic of';
        
    elseif strcmp(input_a,'Bolivia (Plurinational State of)')
        input1.Country{1} = 'Bolivia (Plurinational State of)'; input1.Country{2} = 'Bolivia';
        
    elseif strcmp(input_a,'Congo')
        input1.Country{1} = 'Congo'; input1.Country{2} = 'Congo, Republic of';
        
    elseif strcmp(input_a,'Democratic People''s Republic of Korea')
        input1.Country{1} = 'Democratic People''s Republic of Korea'; input1.Country{2} = 'Korea, Democratic People''s Republic of';
        input1.Country{3} = 'Korea, Dem People''s Rep';
        
    elseif strcmp(input_a,'Iran (Islamic Republic of)')
        input1.Country{1} = 'Iran (Islamic Republic of)'; input1.Country{2} = 'Iran';
        input1.Country{3} = 'Iran, Islamic Rep of'; input1.Country{4} = 'Iran, Islamic Republic of';
        
    elseif strcmp(input_a,'Montenegro')
        input1.Country{1} = 'Montenegro'; input1.Country{2} = 'Serbia and Montenegro';
        
    elseif strcmp(input_a,'Republic of Korea')
        input1.Country{1} = 'Republic of Korea'; input1.Country{2} = 'Korea, Republic of';
        
    elseif strcmp(input_a,'Republic of Moldova')
        input1.Country{1} = 'Republic of Moldova'; input1.Country{2} = 'Moldova';
        input1.Country{3} = 'Moldova, Republic of';
        
    elseif strcmp(input_a,'Serbia')
        input1.Country{1} = 'Serbia'; input1.Country{2} = 'Serbia and Montenegro';
        
    elseif strcmp(input_a,'Sudan')
        input1.Country{1} = 'Sudan'; input1.Country{2} = 'Sudan (former)';
        
    elseif strcmp(input_a,'The former Yugoslav Republic of Macedonia')
        input1.Country{1} = 'The former Yugoslav Republic of Macedonia'; input1.Country{2} = 'Macedonia , The Former Yugoslav Republic of';
        input1.Country{3} = 'Macedonia,The Fmr Yug Rp';
        
    elseif strcmp(input_a,'United Republic of Tanzania')
        input1.Country{1} = 'United Republic of Tanzania'; input1.Country{2} = 'Tanzania';
        input1.Country{3} = 'Tanzania, United Rep of';
        
    elseif strcmp(input_a,'Venezuela (Bolivarian Republic of)')
        input1.Country{1} = 'Venezuela (Bolivarian Republic of)'; input1.Country{2} = 'Venezuela';
        input1.Country{3} = 'Venezuela, Boliv Rep of';
    end
end




